# port_authority_nsw.py

Download latest time series data from Port Authority of NSW and update local copy.
[wavewindtide.portauthoritynsw.com.au](http://wavewindtide.portauthoritynsw.com.au/)

Only one observation is available at any given moment. This script must be run regularly to obtain a complete time series.

## Station locations

| ID  | Description                              |
| --- | ---------------------------------------- |
| 02  | Offshore (Directional) Wave              |
| 03  | Bombora (Directional) Wave               |
| 04  | Captain Cook Channel (SG) Wave           |
| 05  | Kurnell (SG) Wave                        |
| 06  | Molineaux Point Wind                     |
| 07  | Sydney Airport (Main Runway BOM) Wind    |
| 08  | Brotherson Emergency Response Jetty Tide |
| 09  | Caltex (Directional) Current             |
| 12  | Western Wedding Cake Wind                |
| 13  | Fort Denison (Sth end BOM) Wind          |
| 14  | Overseas Passenger Terminal Wind         |
| 15  | Glebe Island Wind                        |
| 16  | Fort Denison-Primary (Nth end) Tide      |
| 17  | Fort Denison-Secondary (Vegapuls64) Tide |
| 18  | Circular Quay ADCP Current               |
| 19  | Balls Head Current                       |
| 22  | Twofold Bay - Munganno Point Wave        |
| 23  | Twofold Bay - Multipurpose Wharf Wind    |
| 24  | Breakwater Wharf Wind                    |
| 27  | Middle Wall (Vegapulse WL61) Tide        |
| 28  | Goodwood (Vegapulse WL61) Tide           |

## Chart datum levels

Water level observations are reported in chart datum. The offsets from AHD are below:

| Location | Chart zero (m AHD) | Stations                                 |
| -------- | -----------------: | ---------------------------------------- |
| Sydney   |             -0.925 | Brotherson Emergency Response Jetty Tide |
|          |                    | Caltex (Directional) Current             |
|          |                    | Fort Denison-Primary (Nth end) Tide      |
|          |                    | Fort Denison-Secondary (Vegapuls64) Tide |
|          |                    | Circular Quay ADCP Current               |
|          |                    | Balls Head Current                       |
|          |                    |                                          |
| Yamba    |             -0.895 | Middle Wall (Vegapulse WL61) Tide        |
|          |                    | Goodwood (Vegapulse WL61) Tide           |
